#!/usr/bin/perl -wT
#
#     ESJ 講演要旨登録処理プログラム
#
#     2010 Takenaka, A.

use strict;
use warnings;

use utf8;

use CGI;
use Encode;
use HTML::Template;
use CGI::Carp('fatalsToBrowser');

#=comment
use lib qw(/var/www/vhosts/esj.ne.jp/httpdocs/pm);
use ESJ::Util;
use ESJ::Info;
#=cut

my $lang = $ENV{'QUERY_STRING'};

my $charset = "UTF-8";

my $Data = new CGI; #   CGI オブジェクトを取得。global 変数。
$Data->charset($charset);
print $Data->header(-type=>"text/html");

my $meeting_full_name = ($lang =~ /E-page/) ? &ESJ::Info::get_meeting_full_name_e()
                                            : &ESJ::Info::get_meeting_full_name();
my $meeting       = &ESJ::Info::get_meeting_abbrev();
my $n_meeting     = &ESJ::Info::get_n_meeting();

my $time_to_start = &ESJ::Info::get_abst_start();
my $time_limit    = &ESJ::Info::get_abst_limit();

# $time_to_start = "2012-11-01 09:00";

unless (&ESJ::Util::is_to_start($time_to_start)) {
    if ($lang =~ /^E/) {
        &ESJ::Util::show_not_yet_message_e();
    }
    else {
        &ESJ::Util::show_not_yet_message();
    }
    exit();
}

unless(&ESJ::Util::is_within_time_limit($time_limit)) {
	if ($lang =~ /^E/) {   #  英語ページ
		&ESJ::Util::show_expiry_message_e();
	}
	else {                               #  日本語ページ
		&ESJ::Util::show_expiry_message();
	}
	exit();
}

my $tmpl_file = ($lang =~ /E-page/) ? 'abst_entrance_tmpl-e.html'
                                    : 'abst_entrance_tmpl-j.html';

open (my $handle, "<:utf8", $tmpl_file ) || die;
my $tmpl = HTML::Template->new( filehandle => $handle );
close $handle;

my $abst_len_limit = ($lang =~ /^E/) ? &ESJ::Info::get_abstract_len_limit_e()
                                     : &ESJ::Info::get_abstract_len_limit(); 

$tmpl->param(meeting_full_name => $meeting_full_name);
$tmpl->param(n_meeting         => $n_meeting);
$tmpl->param(time_limit        => $time_limit);
$tmpl->param(abst_len_limit    => $abst_len_limit);
print $tmpl->output;

